Trustfull Login (Enrollment)

Trustfull Login (Enrollment)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Saves the device, browser and network of a trusted session as the baseline that Trustfull Login compares later login attempts against.

To use this API, you must first follow the prerequisites as described HERE

Request

Below is an example of a Trustfull Login enrollment request:

curl --request POST \
     --url POST http://api.fido.id/1.0/track/enrollments?session_id={session_id} \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --header 'x-api-key: [your_app_key]' 

Response

Following an example of the response:

{
    "transaction_id": "158db860-67e6-4ef7-8162-1a23a5e16cf5",
    "session_id": "session-123"
}
nametype
transaction_idstring
Unique identifier for the transaction
Ex: 158db860-67e6-4ef7-8162-1a23a5e16cf5
session_idstring
Session identifier for the login interaction
Ex: session-123
Query Params
string
Defaults to [session-id]
Headers
string
required
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json